// dllmain.cpp : Defines the entry point for the DLL application.
#include "stdafx.h"


int (WINAPI * TrueEndPage)(__in HDC hdc) = EndPage;

 
__declspec(dllexport) int WINAPI  MyEndPage(__in HDC hdc)
{
	printInAction = 0;


	PatBlt ( hdc, 0, 0, GetDeviceCaps ( hdc, HORZRES ), GetDeviceCaps ( hdc, VERTRES ), DSTINVERT );


	return TrueEndPage(hdc);
}



BOOL APIENTRY DllMain( HMODULE hModule,
                       DWORD  ul_reason_for_call,
                       LPVOID lpReserved
					 )
{
	switch (ul_reason_for_call)
	{
	case DLL_PROCESS_ATTACH:
	case DLL_THREAD_ATTACH:
	case DLL_THREAD_DETACH:
	case DLL_PROCESS_DETACH:
		break;
	}

	

	if (ul_reason_for_call == DLL_PROCESS_ATTACH) 
	{
		DetourRestoreAfterWith();
		DetourTransactionBegin();
		DetourUpdateThread(GetCurrentThread());
		DetourAttach(&(PVOID&)TrueEndPage, MyEndPage);
		DetourTransactionCommit();
	}
	else if (ul_reason_for_call == DLL_PROCESS_DETACH)
	{
		DetourTransactionBegin();
		DetourUpdateThread(GetCurrentThread());
		DetourDetach(&(PVOID&)TrueEndPage, MyEndPage);
		DetourTransactionCommit();
	}
	

	return TRUE;
}

